Raritan PX2/PX3 JSON-RPC API

Classes | Enumerations | Variables
security Module Reference

Security Configuration More...

## Classes
struct | IpFw_2_0_0
| IP packet filter configuration. More...
struct | IpfwRule
| IP packet filter rule. More...
struct | PasswordSettings
| Password settings. More...
struct | RestrictedServiceAgreement
| Restricted Service Agreement settings. More...
struct | RoleAccessControl
| Role-based access control settings. More...
struct | RoleAccessRule
| Role-based access rule. More...
interface | Security_3_0_2
| Security configuration interface More...
interface | ServiceAuthorization
| Service Authorization Configuration. More...
struct | SSHHostKey
| SSH host keys. More...
struct | SSHKeyFingerprint
| Fingerprints of SSH host key. More...
struct | SSHSettings
| SSH authentication settings. More...

## Enumerations
enum | IpfwPolicy { ACCEPT, DROP, REJECT }
| IP packet filter policy. More...
enum | RoleAccessPolicy { ALLOW, DENY }
| Role-based access policy. More...
enum | SSHHostKeyType { SSH_HOST_KEY_TYPE_RSA, SSH_HOST_KEY_TYPE_ECDSA }
| Type of SSH host key.
enum | SSHKeyFingerprintType { SSH_KEY_FPRINT_TYPE_MD5_HEX, SSH_KEY_FPRINT_TYPE_SHA256_BASE64, SSH_KEY_FPRINT_TYPE_UNKNOWN }
| Type of SSH key fingerprint.

## Variables
valueobject | PasswordSettingsChanged
| This Event is emitted after any of the password-settings has been changed.
PasswordSettings | newSettings
valueobject | FrontPanelPrivilegesChanged
| Front panel privileges have been changed. More...
vector< string > | newPrivileges
| new front panel privileges

## Detailed Description

Security Configuration

## Enumeration Type Documentation

## ◆ IpfwPolicy

enum security::IpfwPolicy

IP packet filter policy.

Enumerator
ACCEPT | Accept the packet.
DROP | Silently discard the packet.
REJECT | Discard packet, send error response.

## ◆ RoleAccessPolicy

enum security::RoleAccessPolicy

Role-based access policy.

Enumerator
ALLOW | Access granted.
DENY | Access denied.

## Variable Documentation

## ◆ FrontPanelPrivilegesChanged

valueobject security::FrontPanelPrivilegesChanged

Front panel privileges have been changed.

old front panel privileges